﻿var
 scroll:TScrollBox;
 img:TdbImage; 

procedure Form1_OnShow (Sender: TObject; Action: string);
begin
  scroll:=TScrollBox.Create(Form1);
  scroll.Parent:=Form1.Panel1;
  scroll.Top:=0;
  scroll.Left:=0;
  scroll.Height:= Form1.Panel1.Height;
  scroll.Width := Form1.Panel1.Width;
  scroll.Visible:=True;
  scroll.AutoScroll:=True;
  scroll.HorzScrollBar.Visible:=True;
  scroll.VertScrollBar.Visible:=False;
end;

procedure Form1_Button1_OnClick (Sender: TObject; var Cancel: boolean);
var
i:integer;
openDialog:TOpenDialog;
begin

  openDialog := TOpenDialog.Create(Form1);
  openDialog.Options := ofHideReadOnly+ofAllowMultiSelect+ofEnableSizing;
  openDialog.Filter := 'PNG|*.png|JPG|*.jpg|BMP|*.bmp'; 
  openDialog.FilterIndex := 2;
  openDialog.InitialDir := ExtractFilePath(Application.ExeName)+'img\';

  if openDialog.Execute then
  begin
    for i := 0 to OpenDialog.Files.Count-1 do
    begin
      if FileExists(OpenDialog.Files[i]) then
      begin
        addFoto(OpenDialog.Files[i],i);
        if (i=0) then Form1.Image1.Picture.LoadFromFile(OpenDialog.Files[i]);
      end;
    end;
  end;
  openDialog.Free;
end;

procedure addFoto (var fileName: string; number: integer);
begin
  img:=TdbImage.Create(Form1);
  img.Parent:=scroll;
  img.Hint:=ExtractFileName(fileName);
  img.TagString:=fileName;
  img.Stretch:=True;
  img.Proportional:=True;
  img.Center:=True;
  img.Visible:=True;
  img.Width:=90;
  img.Height:=75;
  img.Top:=0;
  img.Left:=90*number;
  img.Picture.LoadFromFile(fileName);
  img.ShowHint:=True;
  img.OnClick:=@imgClick;
end;

procedure imgClick (Sender:TObject);
begin
  Form1.Image1.Picture.LoadFromFile(TdbImage(Sender).TagString);
end;

begin

end.
